Name:          minlog
Version:       1.2
Release:       %mkrel 3
Summary:       Minimal overhead Java logging
Group:         Development/Java
License:       BSD
Url:           http://code.google.com/p/minlog/
Source0:       http://minlog.googlecode.com/files/minlog-1.2.zip
Source1:       https://maven.atlassian.com/content/groups/public/com/googlecode/minlog/1.2/minlog-1.2.pom
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
MinLog is a Java logging library.

%prep
%setup -q -c

rm -rf api *.jar
mkdir -p src/main/java
mv minlog/src/* src/main/java
rm -rf minlog
cp -pr %{SOURCE1} pom.xml

%build
mvn-rpmbuild install

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 507965
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 360105
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 1.2-1.mga2
+ Revision: 131867
- Clean spec file

  + gil <gil>
    - imported package minlog

